" Packer plugins
lua require('plugins')

" Gruvbox Theme
if has('termguicolors')
  set termguicolors
endif
" For dark version.
set background=dark
" Set contrast.
" This configuration option should be placed before `colorscheme gruvbox-material`.
" Available values: 'hard', 'medium'(default), 'soft'
let g:gruvbox_material_background = 'medium'
" For better performance
let g:gruvbox_material_better_performance = 1
colorscheme gruvbox-material

" Miscellaneous boilerplate
set nocompatible " Disable vi compatibility
set ignorecase
set nu           " Line numbers
set cc=80        " 80 characters
set noswapfile
set backupdir=~/.cache/nvim
set cursorline   " Highlight current line
set mouse=a      " Mouse

" Default indentation
set softtabstop=4
set tabstop=4
set shiftwidth=4
set expandtab
set autoindent

" Syntax highlighting
set syntax=on

" Startup commands
autocmd UIEnter * Neotree
